import request from '@/utils/request'

// 查询电梯信息列表
export function listElevatorInfo(query) {
  return request({
    url: '/info/elevatorInfo/list',
    method: 'get',
    params: query
  })
}

// 查询电梯信息详细
export function getElevatorInfo(elevatorId) {
  return request({
    url: '/info/elevatorInfo/' + elevatorId,
    method: 'get'
  })
}

// 新增电梯信息
export function addElevatorInfo(data) {
  return request({
    url: '/info/elevatorInfo',
    method: 'post',
    data: data
  })
}

// 修改电梯信息
export function updateElevatorInfo(data) {
  return request({
    url: '/info/elevatorInfo',
    method: 'put',
    data: data
  })
}

// 删除电梯信息
export function delElevatorInfo(elevatorId) {
  return request({
    url: '/info/elevatorInfo/' + elevatorId,
    method: 'delete'
  })
}

// 导出电梯信息
export function exportElevatorInfo(query) {
  return request({
    url: '/info/elevatorInfo/export',
    method: 'get',
    params: query
  })
}
